org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntryOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntry, FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntry.Builder
  Enclosing class:
    FsImageProto.FilesUnderConstructionSection

      public static interface FsImageProto.FilesUnderConstructionSection.FileUnderConstructionEntryOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFullPath()` `optional string fullPath = 2;`
    `com.google.protobuf.ByteString` | `getFullPathBytes()` `optional string fullPath = 2;`
    `long` | `getInodeId()` `optional uint64 inodeId = 1;`
    `boolean` | `hasFullPath()` `optional string fullPath = 2;`
    `boolean` | `hasInodeId()` `optional uint64 inodeId = 1;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasInodeId

          boolean hasInodeId()

      `optional uint64 inodeId = 1;`

    - #### getInodeId

          long getInodeId()

      `optional uint64 inodeId = 1;`

    - #### hasFullPath

          boolean hasFullPath()

      `optional string fullPath = 2;`

    - #### getFullPath

          String getFullPath()

      `optional string fullPath = 2;`

    - #### getFullPathBytes

          com.google.protobuf.ByteString getFullPathBytes()

      `optional string fullPath = 2;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.